version: "3.3"
services:
  psql-database:
    image: postgres
    container_name: psql_document-db
    volumes:
      - psql_document_data:/var/lib/postgresql/data
    ports:
      - "5435:5432"
    environment:
      POSTGRES_DB: document
      POSTGRES_USER: leonard
      POSTGRES_PASSWORD: leonard@12345

  document-service:
    container_name: document_service
    build: .
    env_file:
      - .env
    ports:
      - 8099:8099
    depends_on:
      - psql-database
    links:
      - psql-database

networks:
  document-service-network:

volumes:
  psql_document_data: {}